Subject: Re: bug#58520: Persistent failure to DNS-lookup hostname

From: Visuwesh <[email-masked]>
Date: Sat, 04 Nov 2023 08:01:23 +0530

[வெள்ளி நவம்பர் 03, 2023] Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

>>      3 Contacting host: search.brave.com:443
>>      4 search.brave.com/0 Temporary failure in name resolution
>>      5 cdn.search.brave.com/0 Temporary failure in name resolution
>>      6 cdn.search.brave.com/0 Temporary failure in name resolution
> [...]
>>     11 Contacting host: search.brave.com:443
>>     12 cdn.search.brave.com/0 Temporary failure in name resolution
>
>> Line nos. 1 and 2 are from url.el requests.  3--6 and 11--12 is from
>> connection to search.brave.com from eww for an internet search.
>
> Seems like the accesses failed just as well, so my guess is that the
> only thing different with EWW is that it falls back on a cache or
> something like that.

You might be right actually.  If I face this next time, I should search
something other than "asd."  If only eww recorded the time at which the
request was made...